# spec file for package guetzli
#

Name: guetzli
Version: 1.0.1
Release: alt1

Summary: Perceptual JPEG encoder

License: %asl 2.0
Group: Graphics
Url: https://github.com/google/guetzli

Packager: Nikolay A. Fetisov <naf@altlinux.org>

Source0: %name-%version.tar
Patch0:  %name-%version-%release.patch

BuildRequires(pre): rpm-build-licenses


# Automatically added by buildreq on Thu Jun 29 2017
# optimized out: libstdc++-devel pkg-config python-base python-modules python3 python3-base ruby ruby-stdlibs
BuildRequires: gcc-c++ libjpeg-devel libpng-devel

%description
Guetzli is a JPEG encoder that aims for excellent compression
density at high visual quality. Guetzli-generated images are
typically 20-30%% smaller than images of equivalent quality
generated by libjpeg. Guetzli generates only sequential
(nonprogressive) JPEGs due to faster decompression speeds
they offer.

%prep
%setup -n %name-%version
%patch0

%build
make

cp -- third_party/butteraugli/README.md butteraugli.md
pushd third_party/butteraugli/butteraugli
make
popd

%install
install -D -m 0755 -- bin/Release/%name %buildroot/%_bindir/%name
install -D -m 0755 -- third_party/butteraugli/butteraugli/butteraugli %buildroot/%_bindir/butteraugli

%files
%doc README.md butteraugli.md tools/guetzli-compare.py

%_bindir/%name
%_bindir/butteraugli


%changelog
* Thu Jun 29 2017 Nikolay A. Fetisov <naf@altlinux.org> 1.0.1-alt1
- Initial build for ALT Linux Sisyphus
